### Virtual Method

# Vips Image preeval

#### Declaration [src]

    void
    preeval (
      VipsImage* image,
      VipsProgress* progress,
      void* data
    )

#### Description

No description available.

#### Parameters

`progress`

  Type: `VipsProgress`

  No description available.

  The data is owned by the caller of the method.

`data`

  Type: `void*`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the method.